<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.11034
Name: Rubriek 34 Inschatten verhouding draaglast-draagkracht
Description: Vastleggen van de afweging van problemen en moeilijkheden die het kind of ouder(s) krijgt te verwerken tegen het vermogen die problemen te incasseren en/of op te lossen.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.11034-2012-08-01T000000">
   <title>Rubriek 34 Inschatten verhouding draaglast-draagkracht</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11034
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']]
Item: (rubricCluster34)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11034
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']]/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']
Item: (rubricCluster34)
-->

   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']]/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']"
         id="d106e14703-false-d112437e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.11034-2012-08-01T000000.html"
              test="string(@classCode)=('CLUSTER') or not(@classCode)">(rubricCluster34): de waarde van @classCode MOET 'CLUSTER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.11034-2012-08-01T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(rubricCluster34): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.11034-2012-08-01T000000.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(rubricCluster34): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.11034-2012-08-01T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(rubricCluster34): attribuut @moodCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.11034-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034']/@nullFlavor)">(rubricCluster34): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.11034-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034'])&lt;=1">(rubricCluster34): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.11034-2012-08-01T000000.html"
              test="count(hl7:code[(@code='R034' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')])&gt;=1 and not(hl7:code[(@code='R034' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')]/@nullFlavor)">(rubricCluster34): element hl7:code[(@code='R034' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.11034-2012-08-01T000000.html"
              test="count(hl7:code[(@code='R034' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')])&lt;=1">(rubricCluster34): element hl7:code[(@code='R034' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.11034-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40339']])&lt;=1">(rubricCluster34): element hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40339']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.11034-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40348']])&lt;=1">(rubricCluster34): element hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40348']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.11034-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40349']])&lt;=1">(rubricCluster34): element hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40349']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11034
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']]/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034']
Item: (rubricCluster34)
-->

   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']]/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034']"
         id="d106e14736-false-d113083e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.11034-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(rubricCluster34): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.11034-2012-08-01T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.10.100.11034')">(rubricCluster34): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.100.11034' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.11034-2012-08-01T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$')">(rubricCluster34): attribuut @root MOET datatype 'oid' hebben</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11034
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']]/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:code[(@code='R034' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')]
Item: (rubricCluster34)
-->

   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']]/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:code[(@code='R034' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')]"
         id="d106e14747-false-d113311e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.11034-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(rubricCluster34): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.11034-2012-08-01T000000.html"
              test="@nullFlavor or (@code='R034' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')">(rubricCluster34): de elementwaarde MOET een zijn van 'code 'R034' codeSystem '2.16.840.1.113883.2.4.4.40.391''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11034
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']]/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40339']]
Item: (rubricCluster34)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40339
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']]/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40339']]
Item: (obs_Verhouding_draaglast-draagkracht_onderzocht)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']]/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40339']]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40339-2012-08-01T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40339'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40339']/@nullFlavor)">(obs_Verhouding_draaglast-draagkracht_onderzocht): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40339'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40339-2012-08-01T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40339'])&lt;=1">(obs_Verhouding_draaglast-draagkracht_onderzocht): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40339'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40339
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']]/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40339']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40339']
Item: (obs_Verhouding_draaglast-draagkracht_onderzocht)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']]/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40339']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40339']">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40339-2012-08-01T000000.html"
              test="string(@classCode)=('OBS') or not(@classCode)">(obs_Verhouding_draaglast-draagkracht_onderzocht): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40339-2012-08-01T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(obs_Verhouding_draaglast-draagkracht_onderzocht): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40339-2012-08-01T000000.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(obs_Verhouding_draaglast-draagkracht_onderzocht): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40339-2012-08-01T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(obs_Verhouding_draaglast-draagkracht_onderzocht): attribuut @moodCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40339-2012-08-01T000000.html"
              test="string(@negationInd)=('false')">(obs_Verhouding_draaglast-draagkracht_onderzocht): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40339-2012-08-01T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(obs_Verhouding_draaglast-draagkracht_onderzocht): attribuut @negationInd MOET datatype 'bl' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40339-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40339'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40339']/@nullFlavor)">(obs_Verhouding_draaglast-draagkracht_onderzocht): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40339'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40339-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40339'])&lt;=1">(obs_Verhouding_draaglast-draagkracht_onderzocht): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40339'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40339-2012-08-01T000000.html"
              test="count(hl7:code[(@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&gt;=1 and not(hl7:code[(@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]/@nullFlavor)">(obs_Verhouding_draaglast-draagkracht_onderzocht): element hl7:code[(@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40339-2012-08-01T000000.html"
              test="count(hl7:code[(@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&lt;=1">(obs_Verhouding_draaglast-draagkracht_onderzocht): element hl7:code[(@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40339-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(obs_Verhouding_draaglast-draagkracht_onderzocht): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40339-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(obs_Verhouding_draaglast-draagkracht_onderzocht): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40339
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']]/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40339']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40339']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40339']
Item: (obs_Verhouding_draaglast-draagkracht_onderzocht)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']]/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40339']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40339']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40339']">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40339-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Verhouding_draaglast-draagkracht_onderzocht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40339-2012-08-01T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.10.100.40339')">(obs_Verhouding_draaglast-draagkracht_onderzocht): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.100.40339' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40339-2012-08-01T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$')">(obs_Verhouding_draaglast-draagkracht_onderzocht): attribuut @root MOET datatype 'oid' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40339
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']]/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40339']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40339']/hl7:code[(@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (obs_Verhouding_draaglast-draagkracht_onderzocht)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']]/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40339']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40339']/hl7:code[(@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40339-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Verhouding_draaglast-draagkracht_onderzocht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40339-2012-08-01T000000.html"
              test="@nullFlavor or (@code='339' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Verhouding_draaglast-draagkracht_onderzocht): de elementwaarde MOET een zijn van 'code '339' codeSystem '2.16.840.1.113883.2.4.4.40.267''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40339
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']]/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40339']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40339']/hl7:value
Item: (obs_Verhouding_draaglast-draagkracht_onderzocht)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']]/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40339']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40339']/hl7:value">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40339-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Verhouding_draaglast-draagkracht_onderzocht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:BL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="BL"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40339-2012-08-01T000000.html"
              test="@xsi:type">(obs_Verhouding_draaglast-draagkracht_onderzocht): attribute @xsi:type MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40339-2012-08-01T000000.html"
              test="not(@xsi:type) or (string-length(@xsi:type)&gt;0 and not(matches(@xsi:type,'\s')))">(obs_Verhouding_draaglast-draagkracht_onderzocht): attribuut @xsi:type MOET datatype 'cs' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40339
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']]/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40339']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40339']/hl7:component1[hl7:nonBDSData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10028']]
Item: (obs_Verhouding_draaglast-draagkracht_onderzocht)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40339
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']]/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40339']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40339']/hl7:component2[hl7:metaData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10029']]
Item: (obs_Verhouding_draaglast-draagkracht_onderzocht)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11034
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']]/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40348']]
Item: (rubricCluster34)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40348
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']]/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40348']]
Item: (obs_Balans)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']]/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40348']]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40348-2012-08-01T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40348'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40348']/@nullFlavor)">(obs_Balans): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40348'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40348-2012-08-01T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40348'])&lt;=1">(obs_Balans): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40348'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40348
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']]/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40348']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40348']
Item: (obs_Balans)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']]/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40348']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40348']">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40348-2012-08-01T000000.html"
              test="string(@classCode)=('OBS') or not(@classCode)">(obs_Balans): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40348-2012-08-01T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(obs_Balans): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40348-2012-08-01T000000.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(obs_Balans): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40348-2012-08-01T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(obs_Balans): attribuut @moodCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40348-2012-08-01T000000.html"
              test="string(@negationInd)=('false')">(obs_Balans): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40348-2012-08-01T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(obs_Balans): attribuut @negationInd MOET datatype 'bl' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40348-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40348'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40348']/@nullFlavor)">(obs_Balans): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40348'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40348-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40348'])&lt;=1">(obs_Balans): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40348'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40348-2012-08-01T000000.html"
              test="count(hl7:code[(@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&gt;=1 and not(hl7:code[(@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]/@nullFlavor)">(obs_Balans): element hl7:code[(@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40348-2012-08-01T000000.html"
              test="count(hl7:code[(@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&lt;=1">(obs_Balans): element hl7:code[(@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40348-2012-08-01T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.294-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.294-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor])&gt;=1 ">(obs_Balans): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.294-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.294-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40348-2012-08-01T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.294-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.294-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor])&lt;=1">(obs_Balans): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.294-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.294-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40348
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']]/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40348']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40348']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40348']
Item: (obs_Balans)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']]/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40348']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40348']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40348']">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40348-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Balans): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40348-2012-08-01T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.10.100.40348')">(obs_Balans): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.100.40348' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40348-2012-08-01T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$')">(obs_Balans): attribuut @root MOET datatype 'oid' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40348
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']]/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40348']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40348']/hl7:code[(@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (obs_Balans)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']]/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40348']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40348']/hl7:code[(@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40348-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Balans): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40348-2012-08-01T000000.html"
              test="@nullFlavor or (@code='348' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Balans): de elementwaarde MOET een zijn van 'code '348' codeSystem '2.16.840.1.113883.2.4.4.40.267''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40348
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']]/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40348']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40348']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.294-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.294-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor]
Item: (obs_Balans)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']]/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40348']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40348']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.294-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.294-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40348-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Balans): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40348-2012-08-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.294-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(obs_Balans): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.100.11.2.294 W0294 Balans (HL7) (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.294-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40348-2012-08-01T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(obs_Balans): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.2.4.3.11.60.100.11.2.294 W0294 Balans (HL7) (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40348-2012-08-01T000000.html"
              test="@xsi:type">(obs_Balans): attribute @xsi:type MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40348-2012-08-01T000000.html"
              test="not(@xsi:type) or (string-length(@xsi:type)&gt;0 and not(matches(@xsi:type,'\s')))">(obs_Balans): attribuut @xsi:type MOET datatype 'cs' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40348
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']]/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40348']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40348']/hl7:component1[hl7:nonBDSData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10028']]
Item: (obs_Balans)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40348
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']]/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40348']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40348']/hl7:component2[hl7:metaData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10029']]
Item: (obs_Balans)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11034
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']]/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40349']]
Item: (rubricCluster34)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40349
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']]/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40349']]
Item: (obs_Bijzonderheden_verhouding_draaglast-draagkrach)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']]/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40349']]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40349-2012-08-01T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40349'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40349']/@nullFlavor)">(obs_Bijzonderheden_verhouding_draaglast-draagkrach): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40349'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40349-2012-08-01T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40349'])&lt;=1">(obs_Bijzonderheden_verhouding_draaglast-draagkrach): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40349'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40349
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']]/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40349']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40349']
Item: (obs_Bijzonderheden_verhouding_draaglast-draagkrach)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']]/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40349']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40349']">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40349-2012-08-01T000000.html"
              test="string(@classCode)=('OBS') or not(@classCode)">(obs_Bijzonderheden_verhouding_draaglast-draagkrach): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40349-2012-08-01T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(obs_Bijzonderheden_verhouding_draaglast-draagkrach): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40349-2012-08-01T000000.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(obs_Bijzonderheden_verhouding_draaglast-draagkrach): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40349-2012-08-01T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(obs_Bijzonderheden_verhouding_draaglast-draagkrach): attribuut @moodCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40349-2012-08-01T000000.html"
              test="string(@negationInd)=('false')">(obs_Bijzonderheden_verhouding_draaglast-draagkrach): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40349-2012-08-01T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(obs_Bijzonderheden_verhouding_draaglast-draagkrach): attribuut @negationInd MOET datatype 'bl' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40349-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40349'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40349']/@nullFlavor)">(obs_Bijzonderheden_verhouding_draaglast-draagkrach): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40349'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40349-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40349'])&lt;=1">(obs_Bijzonderheden_verhouding_draaglast-draagkrach): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40349'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40349-2012-08-01T000000.html"
              test="count(hl7:code[(@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&gt;=1 and not(hl7:code[(@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]/@nullFlavor)">(obs_Bijzonderheden_verhouding_draaglast-draagkrach): element hl7:code[(@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40349-2012-08-01T000000.html"
              test="count(hl7:code[(@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&lt;=1">(obs_Bijzonderheden_verhouding_draaglast-draagkrach): element hl7:code[(@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40349-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_verhouding_draaglast-draagkrach): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40349-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_verhouding_draaglast-draagkrach): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40349
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']]/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40349']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40349']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40349']
Item: (obs_Bijzonderheden_verhouding_draaglast-draagkrach)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']]/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40349']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40349']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40349']">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40349-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_verhouding_draaglast-draagkrach): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40349-2012-08-01T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.10.100.40349')">(obs_Bijzonderheden_verhouding_draaglast-draagkrach): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.100.40349' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40349-2012-08-01T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$')">(obs_Bijzonderheden_verhouding_draaglast-draagkrach): attribuut @root MOET datatype 'oid' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40349
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']]/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40349']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40349']/hl7:code[(@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (obs_Bijzonderheden_verhouding_draaglast-draagkrach)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']]/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40349']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40349']/hl7:code[(@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40349-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_verhouding_draaglast-draagkrach): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40349-2012-08-01T000000.html"
              test="@nullFlavor or (@code='349' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_verhouding_draaglast-draagkrach): de elementwaarde MOET een zijn van 'code '349' codeSystem '2.16.840.1.113883.2.4.4.40.267''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40349
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']]/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40349']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40349']/hl7:value
Item: (obs_Bijzonderheden_verhouding_draaglast-draagkrach)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']]/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40349']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40349']/hl7:value">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40349-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_verhouding_draaglast-draagkrach): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40349-2012-08-01T000000.html"
              test="@xsi:type">(obs_Bijzonderheden_verhouding_draaglast-draagkrach): attribute @xsi:type MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.40349-2012-08-01T000000.html"
              test="not(@xsi:type) or (string-length(@xsi:type)&gt;0 and not(matches(@xsi:type,'\s')))">(obs_Bijzonderheden_verhouding_draaglast-draagkrach): attribuut @xsi:type MOET datatype 'cs' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40349
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']]/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40349']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40349']/hl7:component1[hl7:nonBDSData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10028']]
Item: (obs_Bijzonderheden_verhouding_draaglast-draagkrach)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40349
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']]/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11034']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40349']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.40349']/hl7:component2[hl7:metaData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10029']]
Item: (obs_Bijzonderheden_verhouding_draaglast-draagkrach)
--></pattern>
